Bug 152573 - CAN-2004-1773 Buffer overflows in unshar
CAN-2004-1773 Buffer overflows in unshar
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sharutils (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Jay Turner
impact=low,public=20041001,source=cve...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-30 09:20 EST by Josh Bressers
Modified: 2015-01-07 19:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 12:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:377 low SHIPPED_LIVE Low: sharutils security update 2005-04-26 00:00:00 EDT

  None (edit)
Description Josh Bressers 2005-03-30 09:20:27 EST
Multiple buffer overflows in sharutils 4.2.1 and earlier may allow attackers to
execute arbitrary code via (1) long output from wc to shar, or (2) unknown
vectors in unshar.

To test this:
unshar `perl -e 'print "A"x2000'`/tmp/testing

There is a patch in the gentoo BTS:
http://bugs.gentoo.org/show_bug.cgi?id=65773
Comment 1 Josh Bressers 2005-03-30 09:20:57 EST
This issue also affects RHEL2.1 and RHEL3
Comment 2 Ngo Than 2005-03-30 17:55:38 EST
it's fixed in sharutils-4.2.1-8.8.x (RHEL-2.1), sharutils-4.2.1-16.1 (RHEL-3)
and sharutils-4.2.1-22.1 (RHEL-4)
Comment 6 Josh Bressers 2005-04-26 12:31:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-377.html

Note You need to log in before you can comment on or make changes to this bug.